## picprog 1.8.3

=== Makefile ===
# This is Picprog, Microchip PIC programmer software for the serial
# port device.
# Copyright © 1997,2002,2003,2004 Jaakko Hyvätti
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# 
# The author may be contacted at:
# 
# Email: Jaakko.Hyvatti@iki.fi
# URL:   http://www.iki.fi/hyvatti/
# Phone: +358 40 5011222
# 
# Please send any suggestions, bug reports, success stories etc. to the
# Email address above.

# Please use a reasonably recent GNU make.

CXX=g++
CXXFLAGS=-O2 -Wall -W -Wwrite-strings
LDFLAGS=-s

OBJS=main.o picport.o hexfile.o program.o
PROG=picprog

all: $(PROG)

$(PROG): $(OBJS)
	$(CXX) $(LDFLAGS) $(OBJS) -o $@

dep:
	$(CXX) -M $(CXXFLAGS) *.cc > .depend

clean:
	rm -f core $(OBJS) $(PROG)

tar:
	chmod -R a+rX,go-w .
	VERSION=`expr $$PWD : '.*-\([1-9]\.[1-9]\?[0-9]\(\.[0-9]\)\?\)$$'`; \
	cd ..; \
	tar -czvf $(PROG)-$$VERSION.tar.gz \
		$(PROG)-$$VERSION/{Makefile,COPYING,README} \
		$(PROG)-$$VERSION/[a-zA-Z]*.{html,png,1,h,cc}

install: all
	install -c -o 0 -g 0 -m 755 $(PROG) /usr/local/bin/
	install -c -o 0 -g 0 -m 644 *.1 /usr/local/man/man1/

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

## picprog 1.9.1

=== Makefile ===
--- 
+++ 
@@ -33,10 +33,13 @@
 OBJS=main.o picport.o hexfile.o program.o
 PROG=picprog
 
-all: $(PROG)
+all: $(PROG) testport
 
 $(PROG): $(OBJS)
 	$(CXX) $(LDFLAGS) $(OBJS) -o $@
+
+testport: testport.o
+	$(CXX) $(LDFLAGS) $^ -o $@
 
 dep:
 	$(CXX) -M $(CXXFLAGS) *.cc > .depend

=== debian/changelog ===
picprog (1.9.1-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:39:18 +0000

picprog (1.9.1-3) unstable; urgency=low

  * debian/control
   - bump Standards-Version to 3.9.5
  * debian/compat
   - bump to 9
  * debian/patches/30_remove-google-adsense.patch 
   - remove Google AdSense
  * debian/changelog
   - fix wrong datetime

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 26 Jan 2014 19:19:14 +0900

picprog (1.9.1-2) unstable; urgency=low

  * debian/control
    - changed priority from extra to optional
    - narrowed environments: linux-any kfreebsd-any

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sat, 3 Dec 2011 10:08:38 +0900

picprog (1.9.1-1) unstable; urgency=low

  * New upstream release
    - Fixed a bug that prevented erasing chip with OSCCAL words
    - Read also short hexfile data lines
    - Charge capacitors a little longer
    - Added some NOP commands to PIC18F programming sequence
    - Fixed warnings with current compilers
    - Changed license to GPL3
  * debian/control
    - removed dependencies: dpatch, debhelper (>> 4.0.0)
    - added dependency: debhelper (>= 8.0.0)
    - changed maintainer to Koichi Akabe (Closes: #650283)
  * debian/patches
    - removed: main.cc_include_cstdlib, strip
    - added: fix-makefile
  * debian/watch
    - added to track upstream
  * debian/rules
    - rewrote for debhelper 8.0.0
  * debian/copyright
    - changed format to dep5

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Tue, 29 Nov 2011 18:33:50 +0900

picprog (1.9.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "non-standard gcc/g++ used for build (gcc-4.3)" and
    "FTBFS: build-dependency not installable: libstdc++6-4.3-dev":
    drop build dependency on libstdc++6-4.3-dev
    Closes: #629741, #594293
    LP: #745544

 -- gregor herrmann <gregoa@debian.org>  Thu, 15 Sep 2011 17:45:14 +0200

picprog (1.9.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoiding iopl() on platforms that don't have it. (closes: #492812)

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 29 Sep 2008 02:30:46 +0200

picprog (1.9.0-1) unstable; urgency=low

  * New upstream release
    - Chip presence is no more detected with start/stop bit checking
      (closes: #412778)

 -- Jan Wagemakers <janw@dommel.be>  Sat, 19 Jul 2008 10:59:54 +0200

picprog (1.8.3-2) unstable; urgency=low

  * added dpatch 10_gcc4.3.dpatch (closes: #417475)
  * added dpatch 20_strip.dpatch  (closes: #437774)

 -- Jan Wagemakers <janw@dommel.be>  Sat, 18 Aug 2007 10:42:07 +0200

picprog (1.8.3-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@dommel.be>  Sat, 30 Sep 2006 11:17:35 +0200

picprog (1.8.2-1) unstable; urgency=low

  * New upstream release
    - This release has two new options --nordtsc and --slow,
      (closes: #387185)
  * Changed section to "electronics".

 -- Jan Wagemakers <janw@dommel.be>  Tue, 26 Sep 2006 10:55:52 +0200

picprog (1.8.1-3) unstable; urgency=low

  * Changed picport.h so that it compiles with g++-4.1 
  * Fixed "ITP: picprog -- Microchip PIC microcontroller programmer
    software", closes: #208692

 -- Jan Wagemakers <janw@dommel.be>  Sat,  8 Jul 2006 10:24:02 +0200

picprog (1.8.1-2) unstable; urgency=low

  * Corrected the homepage description in debian/control
  * package now depends on libstdc++6-4.0-dev 

 -- Jan Wagemakers <janw@easynet.be>  Sun,  2 Apr 2006 17:32:12 +0200

picprog (1.8.1-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Sun, 26 Mar 2006 17:11:23 +0200

picprog (1.8-2) unstable; urgency=low

  * Fixed picprog.1 (man page) to make package lintian clean 

 -- Jan Wagemakers <janw@easynet.be>  Sun, 12 Mar 2006 07:24:21 +0100

picprog (1.8-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Mon,  6 Mar 2006 16:44:05 +0100

picprog (1.7-2) unstable; urgency=low

  * Fixed error in picprog.doc-base

 -- Jan Wagemakers <janw@easynet.be>  Sun, 18 Jul 2004 18:07:05 +0200

picprog (1.7-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Sat,  1 May 2004 07:41:06 +0200

picprog (1.6-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Fri, 19 Mar 2004 16:12:02 +0100

picprog (1.5-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Thu,  4 Mar 2004 16:20:05 +0100

picprog (1.4-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Fri,  2 Jan 2004 10:18:29 +0100

picprog (1.3-4) unstable; urgency=low

  * Changed the description in the file debian/control

 -- Jan Wagemakers <janw@easynet.be>  Fri,  5 Sep 2003 11:55:20 +0200

picprog (1.3-3) unstable; urgency=low

  * Changed the description in the file debian/control

 -- Jan Wagemakers <janw@easynet.be>  Fri,  5 Sep 2003 00:37:38 +0200

picprog (1.3-2) unstable; urgency=low

  * Changed author(s) to author in the file copyright

 -- Jan Wagemakers <janw@easynet.be>  Sat, 30 Aug 2003 10:44:41 +0200

picprog (1.3-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Fri, 22 Aug 2003 07:50:35 +0200

picprog (1.2-1) unstable; urgency=low

  * Initial Release.

 -- Jan Wagemakers <janw@easynet.be>  Mon, 18 Aug 2003 08:30:45 +0200

=== debian/control ===
Source: picprog
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Koichi Akabe <vbkaisetsu@gmail.com>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.5
Homepage: http://www.iki.fi/hyvatti/pic/picprog.html

Package: picprog
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Microchip PIC serial programmer software
 This is Picprog, a Microchip PIC microcontroller programmer software
 for a simple serial port device. This software supports simple
 programmers like JDM writer.

=== debian/watch ===
version=3

http://hyvatti.iki.fi/~jaakko/pic/picprog-(.*)\.tar\.gz
